import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindManyCalendarUseCase } from './findManyCalendarUseCase';

class FindManyCalendarController {
    async handle(request: Request, response: Response) {
        const findManyCalendarController = container.resolve(FindManyCalendarUseCase)

        const calendars = await findManyCalendarController.execute() 

        return response.status(200).json(calendars)
    }
}

export {FindManyCalendarController}