import { ICalendarsRepository } from "@modules/calendar/repositories/ICalendarsRepository";
import { inject, injectable } from "tsyringe";

@injectable()
class FindManyCalendarUseCase {
    constructor(
        @inject('CalendarsRepository')
        private calendarsRepository: ICalendarsRepository
    ) {}

    async execute() {
        const calendars = await this.calendarsRepository.findAllCalendar()
        return calendars
    }
}

export {FindManyCalendarUseCase}